## reportbug 6.3

=== debian/changelog ===
reportbug (6.3) unstable; urgency=low

  * reportbug/utils.py
    - add 'oldstable' to the list of distributions, so not to confuse 'APT
      prefers' line; thanks to Jan Huijsmans for the report; Closes: #645870
  * share/control, setup.py
    - report python-reportbug dependencies information when filing a bug against
      reportbug
  * reportbug/ui/urwid_ui.py
    - is_mouse_event() is in urwid.util in urwid 1.0.0; thanks to Andrew O.
      Shadura for the report; Closes: #646943
    - fix a crash when willing to submit more information after having seen a
      report; thanks to Viet Nguyen for the report; Closes: #644815
  * bin/reportbug
    - report bug using the "Source" pseudo-header, if we've detected it's a
      source package (either by using --src cli option or by selecting the
      source pkg in the menu); thanks to Julian Andres Klode for the report;
      Closes: #644194
    - improved check for package name in the subject, now checking if the
      it's at the beginning of the subject, and even if provided via '--subject'
      cli option; thanks to Cyril Brulebois for noticing it; Closes: #579596
  * Implement a new --envelope-from cli option (and the corresponding one in the
    configuration file), to allow to select the Envelope From (aka Return-path)
    mail header different than the default, the From address. It reverts the
    change in #614879; thanks to Kevin Locke for the report and discussion;
    Closes: #640249
  * Use madison.cgi (from QA) to check for newer versions available; thanks to
    Bernd Zeimetz for the report; Closes: #601679
  * reportbug/ui/*_ui.py
    - show if the bug is already closed (it usually happens when the bug was
      closed recently and it's not archived yet); thanks to Elora HRanma for the
      report; Closes: #586155
  * reportbug/ui/gtk2_ui.py
    - rename the 'Cancel' button to 'Quit', so that it's clear it will close
      reportbug, also Alt+<code> will select the right button; thanks to Nathan
      A. Stine and Éric Araujo for the reports; Closes: #586475, #614160
    - remove reference to Ctrl+c when asking for subject: it won't work in GTK+
      UI; thanks to Mark Brown for the report; Closes: #562876
  * debian/control
    - set 2.6 as minimum python version
  * reportbug/debbugs.py, bin/reportbug
    - reports for release.debian.org about 'pu'/'opu' now tries to get the
      correct version querying madison (but only if querying is enabled); thanks
      to Jakub Wilk for the report; Closes: #563804
  * Bugscripts can now generate headers and pseudo-headers to be included into
    the bug report, refer to README.developers for additional details; thanks to
    Niels Thykier for the report; Closes: #611341

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Nov 2011 18:04:26 +0100

reportbug (6.2.2) unstable; urgency=low

  * reportbug/utils.py
    - support claws-mail MUA; thanks to David Paleino for the report and patch;
      Closes: #532082
    - fix spelling error in email template; thanks to basile for the report;
      Closes: #643986
  * reportbug/checkversions.py
    - do a word match when parsing the suite name to get the available versions;
      thanks to Yann Dirson for the report; Closes: #642032
  * debian/docs
    - don't install TODO file, it's internal only; thanks to Tshepang
      Lekhonkhobe for the report; Closes: #643320
  * bin/reportbug
    - fix a crash when using -N nnnnnn and at the last menu answer 'Show other
      bug reports (return to bug listing).'; thanks to Ritesh Raj Sarraf for the
      report; Closes: #642939
  * reportbug/bugreport.py
    - don't add the bug report guidance template if the package is a special one
      (like wnpp, ftp.d.o and release.d.o); thanks to Arno Töll for the report;
      Closes: #643785
  * reportbug/ui/text_ui.py
    - when searching thru the bugs list, return a Bugreport instance instead of
      the bug number; thanks to Olivier Berger for reopening the bug; hopefully
      completely Closes: #640196
  * bin/reportbug, man/reportbug.conf.5
    - clarify TLS question in --configure and the manpage entry for conf file;
      thanks to Jakob Bohm for the report; Closes: #642554

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Oct 2011 17:14:56 +0200

reportbug (6.2.1) unstable; urgency=low

  * bin/reportbug
    - be more explicit that Ctrl+c on subject menu exit reportbug without
      sending any report; thanks to simon for the report; Closes: #640213
    - use the bug number for the follow-up address, instead of the Bugreport
      instance; thanks to Jan Braun for the report; Closes: #640434
  * reportbug/utils.py
    - fix a crash when generating dependencies tables for long package name;
      thanks to Wouter Van Hemel for the report; Closes: #640512
  * reportbug/ui/text_ui.py
    - fix a crash after the bugs list, when selecting 'y' and then entering the
      item number; thanks to Jakub Wilki for the report; Closes: #640196
    - fix a crash after the bugs list, when filtering the result set, viewing a
      report and then wanting to follow it up; thanks to Michal Suchanek for the
      report; Closes: #640518

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Sep 2011 23:07:33 +0200

reportbug (6.2) unstable; urgency=low

  * reportbug/debbugs.py
    - remove release tags; thanks to Kurt Roeckx for the report and to Julien
      Cristau for the confirmation; Closes: #613716
  * reportbug/utils.py
    - support "Debian Ports" in apt policy info section; thanks to Aurelien
      Jarno for the report and patch; Closes: #638357
    - remove the description from the dependencies list, leaving more space for
      the useful information (package name and version); thanks to Andreas
      Beckmann for the report; Closes: #582218
    - insert a greeting note in the bug report body template; thanks to martin f
      krafft for the report; Closes: #275660
    - expand the bug report body template to include some guiding questions for


=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), python (>= 2.5)
Build-Depends-Indep: python-support, python-nose, python-setuptools
X-Python-Version: >= 2.6
Vcs-Git: git://git.debian.org/git/reportbug/reportbug.git
Vcs-Browser: http://git.debian.org/?p=reportbug/reportbug.git
Homepage: http://alioth.debian.org/projects/reportbug/

Package: reportbug
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common
Description: reports bugs in the Debian distribution
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with mutt and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.
 .
 This package also includes the "querybts" script for browsing the
 Debian bug tracking system.

Package: python-reportbug
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts
Suggests: reportbug
Description: Python modules for interacting with bug tracking systems
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.
 .
 This package includes Python modules which may be reusable by other
 tools that want to interact with the Debian bug tracking system.
 .
 To actually report a bug, install the reportbug package.

## reportbug 6.3.1

=== debian/changelog ===
reportbug (6.3.1) unstable; urgency=low

  * bin/reportbug
    - don't blindly set (even empty) bugscript headers/pseudos, that will
      prevent spurious blank lines in bug pseudoheaders section; thanks to
      Andreas Beckmann and Jonathan Nieder for the report; Closes: #649956,
      #650723
    - force (once again) source report if --source is specified;
      Closes: #644194, #648719
  * reportbug/utils.py
    - remove tailing white spaces from dependencies list; thanks to Nelson A. de
      Oliveira for the report and patch; Closes: #650659
  * reportbug/debbugs.py
    - added new ftp archive sections: 'education', 'introspection' and
      'metapackages' as per msgid:<87iplw8px9.fsf@lennier.ganneff.de>
  * reportbug/checkversions.py
    - don't generate a traceback in case of checking for versions of
      non-existing packages (or if rmadison doesn't return anything); thanks to
      Jérémy Lal for the report; Closes: #649649

 -- Sandro Tosi <morph@debian.org>  Sun, 04 Dec 2011 22:48:02 +0100

## reportbug 6.3.1ubuntu1

=== debian/changelog ===
reportbug (6.3.1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description.
   - debian/rules, debian/dirs: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 16 Dec 2011 19:05:08 +0530

reportbug (6.3ubuntu1) precise; urgency=low

  * Merge from Debian Testing. Remaining Ubuntu changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description.
   - debian/rules, debian/dirs: Do not install .desktop file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 Nov 2011 20:04:40 -0500

reportbug (6.2.2ubuntu1) precise; urgency=low

  * Merge from Debian Testing. Remaining Ubuntu changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description.
   - debian/rules: Do not install .desktop file.
  * debian/dirs: As we don't install the desktop file, we don't
    need usr/share/applications. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 04 Nov 2011 16:30:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), python (>= 2.5)
@@ -33,6 +34,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 6.3.1ubuntu1.1

=== debian/changelog ===
reportbug (6.3.1ubuntu1.1) precise-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution in compare_versions
    (LP: #1353046)
    - reportbug/checkversions.py: don't use os.system to compare versions.
    - reportbug/__init__.py: update version number.
    - CVE-2014-0479

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 05 Aug 2014 14:52:52 -0400

## reportbug 6.4.3ubuntu1

=== debian/changelog ===
reportbug (6.4.3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
     an error and refer user "ubuntu-bug" instead.
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description.
   - debian/rules, debian/dirs: Do not install .desktop file.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 19 Aug 2012 17:48:32 +0200

reportbug (6.4.3) unstable; urgency=low

  * reportbug/debbugs.py
    - add a note to include/attach the debdiff in case of unblocks for
      release.d.o; thanks to Ulrich Dangel for the report and to Niels Thykier
      for ack'ing it on IRC; Closes: #681206
  * reportbug/utils.py
    - recognize Control as a pseudo-header; thanks to Paul Wise for the report;
      Closes: #684540
  * reportbug/ui/urwid_ui.py
    - fix a crash when selecting 'Quit' in the Urwid UI window presenting the
      list of bugs already filed; thanks to Ryan Kavanagh for the report;
      Closes: #668395
  * bin/reportbug
    - in Urwid UI, when cancelling on the list of packages matching the input
      package, don't present '-1' as resulting package, but that nothing was
      selected; thanks to Valentin Lorentz for the report; Closes: #667663

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Aug 2012 22:49:44 +0200

reportbug (6.4.2) unstable; urgency=low

  * reportbug/debbugs.py
    - remove 'freeze-exception' option for release.d.o package; thanks to Niels
      Thykier for the report; Closes: #683272

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Jul 2012 18:55:52 +0200

reportbug (6.4.1) unstable; urgency=low

  * bin/reportbug
    - remove arch qualifier (for m-a) only if we're not reporting against the
      source package; thanks to Vincent Lefevre for the report; Closes: #681157

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Jul 2012 11:10:25 +0200

reportbug (6.4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
     an error and refer user "ubuntu-bug" instead.
   - reportbug/__init__.py: Match reportbug version with package version.
   - debian/control: Add prominent note to package description.
   - debian/rules, debian/dirs: Do not install .desktop file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 25 Jun 2012 23:35:46 -0400

reportbug (6.4) unstable; urgency=low

  * reportbug/checkversions.py
    - match version on the precise architecture, not just check string
      inclusiong; thanks to Nelson de Oliveira for the report; Closes: #650651
    - include arch:all in package versions lookup; thanks to Hilmar Preuße for
      the report; Closes: #673204
  * bin/reportbug
    - clarify the menu title when presenting more packages; thanks to Alois
      Mahdal for the report; Closes: #654165
  * reportbug/ui/{text, urwid}_ui.py
    - sort bug numerically; thanks to Matthias Urlichs for the report;
      Closes: #657616
  * reportbug/debbugs.py
    - initialize varibles needed to handle ftp.debian.org section change
      requests, so reportbug won't crash if proper values (for section and
      priority) is not found; thanks to James McCoy for the report;
      Closes: #658748
    - support release team generating "ben" files when requesting a transition;
      thanks to Niels Thykier for the report and patch; Closes: #672722
  * reportbug/utils.py
    - correctly report the installation status for each dependency packages, not
      just the last status applied to each pkgs; thanks to Piotr Engelking for
      the report; Closes: #657753
    - Fix crash when using claws-mail as a mailer; thanks to Valentin Lorentz
      for the report and (partial) patch: Closes: #667543
  * reportbug/utils.py, debian/control
    - updated claws-mail command to use the new cli switch to compose a mail
      from a file (adding a versioned depends); thanks to David Paleino for the
      report; Closes: #661221
  * debian/control
    - added python-mock to b-d-i, needed for the test suite
    - bump Standards-Version to 3.9.3 (no changes needed)
  * reportbug/{debbugs, utils}.py
    - report foreign architectures information (if m-a); thanks to Cyril
      Brulebois for the report; Closes: #658795
  * bin/reportbug, man/reportbug.*
    - fix several typos; thanks to Simon Kainz for the report and patch;
      Closes: #669249
  * bin/reportbug, reportbug/utils.py
    - initial support for multi-arch: keep arch-qualifier and remove it just
      before preparing the report body; Closes: #666469
  * Extend my copyright years to include 2012

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jun 2012 22:10:17 +0200

## reportbug 6.4.4

=== debian/changelog ===
reportbug (6.4.4) unstable; urgency=low

  * reportbug/ui/gtk2_ui.py
    - proper update GTK+ UI from threads, using gobject.idle_add(), possibily
      fixing the crashes seen with GTK+ reportbug UI; thanks to all the
      reporters and to Bruno Filipe Oliveira Ramos for the patch;
      Closes: #620225

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Mar 2013 23:45:13 +0100

## reportbug 6.4.4ubuntu1

=== debian/changelog ===
reportbug (6.4.4ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/rules, debian/dirs: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 18 Mar 2013 20:30:52 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7), python (>= 2.5)
-Build-Depends-Indep: python-support, python-nose, python-setuptools
+Build-Depends-Indep: python-support, python-nose, python-setuptools, python-mock
 X-Python-Version: >= 2.6
 Vcs-Git: git://git.debian.org/git/reportbug/reportbug.git
 Vcs-Browser: http://git.debian.org/?p=reportbug/reportbug.git
@@ -15,7 +15,7 @@
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:

## reportbug 6.4.4%2Bdyson1

=== debian/changelog ===
reportbug (6.4.4+dyson1) unstable; urgency=low

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Tue, 31 Dec 2013 15:57:21 +0400

## reportbug 6.4.4+deb7u1

=== debian/changelog ===
reportbug (6.4.4+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2014-0479: Arbitrary code execution in compare_versions.
    A man-in-the-middle attacker could put shell metacharacters in the
    version number, causing execution of code of their choice.
    Thanks to Jakub Wilk <jwilk@debian.org>

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Aug 2014 22:22:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7), python (>= 2.5)
@@ -34,10 +33,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^+]*\).*/\1/')
DISTRO := $(shell dpkg-parsechangelog | egrep '^Distribution:' | sed 's/^Distribution: \([^+]*\).*/\1/')
REPORTBUG_VERSION := $(shell python -c "import reportbug; print reportbug.VERSION_NUMBER")

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Test if versions are synchronized (only if releasing); this will bomb if not synced
	if [ "$(DISTRO)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(VERSION)" ] ; \
	then \
		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py'; exit 1 ; \
	fi

	python setup.py build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	python setup.py clean

	rm -rf `find . -name '*~' -o -name '.#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.py[co]'` sed-script
	rm -rf build
	rm -rf reportbug.egg-info

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/reportbug.
	python setup.py install --root $(CURDIR)/debian/reportbug --install-layout=deb
	mv $(CURDIR)/debian/reportbug/usr/lib $(CURDIR)/debian/python-reportbug/usr
	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc

	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman man/*
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## reportbug 6.4.4+deb7u2

=== debian/changelog ===
reportbug (6.4.4+deb7u2) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * bin/reportbug: Inform lts and security team about potential regressions due
    to security updates. (Closes: #878088)
  * This change requires a new dependency. Depend on python-requests.

 -- Markus Koschany <apo@debian.org>  Fri, 15 Dec 2017 18:26:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: reportbug
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
+Depends: ${misc:Depends}, ${python:Depends}, apt, python-requests, python-reportbug (= ${source:Version})
 Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian

## reportbug 6.5.0ubuntu1

=== debian/changelog ===
reportbug (6.5.0ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/rules, debian/dirs: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 28 Jan 2014 14:01:57 -0500

reportbug (6.5.0) unstable; urgency=low

  [ Sandro Tosi ]
  * bin/reportbug
    - changed to "No" the default to local MTA question in configuration mode;
      thanks to Hartmut Bruening for the report; Closes: #732789
  * reportbug/debbugs.py
    - improve the ITP template to ask for more information; thanks to Lucas
      Nussbaum for the report and patch; Closes: #719067
  * bin/reportbug, reportbug/utils.py, doc/README.developers
    - implement support for attachments in bugscripts; thanks to Joachim
      Breitner for the report and to Michael Stapelberg for the patch;
      Closes: #526110
  * reportbug/utils.py
    - improve the template provided to less-expert reporters to be clear the
      questions should be answered by the reporter themselves; thanks to Tony
      Houghton for the report; Closes: #690782
    - match 'Description-en' too when getting package description
  * reportbug/checkversions.py
    - if NEW has several versions of the given package, choose the bigger;
      thanks to Thorsten Glaser for the report; Closes: #704040
  * debian/control
    - use canonical URL for Alioth service
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/copyright
    - extend copyright years

  [ Julien Cristau ]
  * Update codename/suite mapping for wheezy release
  * test: don't assert that unstable version is strictly greater than stable
  * checkversions: let rmadison do the architecture/suite filtering
  * debbugs: retire the opu tag for release.debian.org; Closes: #707631

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jan 2014 20:40:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,6 @@
 	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
 	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc
 
-	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop
-
 	touch install-stamp
 
 # Build architecture-dependent files here.

## reportbug 6.5.0%2Bnmu1ubuntu0.1

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7), python (>= 2.5)
 Build-Depends-Indep: python-support, python-nose, python-setuptools, python-mock
 X-Python-Version: >= 2.6
-Vcs-Git: git://git.debian.org/git/reportbug/reportbug.git
-Vcs-Browser: http://git.debian.org/?p=reportbug/reportbug.git
+Vcs-Git: git://anonscm.debian.org/reportbug/reportbug.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=reportbug/reportbug.git
 Homepage: http://alioth.debian.org/projects/reportbug/
 
 Package: reportbug
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt, python-requests, python-reportbug (= ${source:Version})
+Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
 Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
@@ -33,6 +34,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 6.5.0+nmu1ubuntu0.1

=== Makefile ===
#! /usr/bin/make -f

NOSETESTS = nosetests test -v --stop
nosetests_cmd = $(NOSETESTS) ${NOSETESTS_OPTS}

.PHONY: tests
tests:
	$(nosetests_cmd)

# run tests not requiring network
.PHONY: quicktests
quicktests: NOSETESTS_OPTS += --processes=4 --attr='!network'
quicktests:
	$(nosetests_cmd)

coverage: NOSETESTS_OPTS += --with-coverage --cover-package=reportbug
coverage:
	$(nosetests_cmd)

coverhtml: NOSETESTS_OPTS += --cover-html
coverhtml: coverage

codechecks: pep8 pyflakes pylint

pep8:
	pep8 --verbose --repeat --show-source --filename=*.py,reportbug,querybts . --statistics

pyflakes:
	pyflakes . bin/*

pylint:
	pylint --output-format=colorized  bin/* reportbug/ checks/* test/ setup.py

=== debian/changelog ===
reportbug (6.5.0+nmu1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE:
  * References
  * CVE-2014-0479
  * LP: #1353046
  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/rules, debian/dirs: Do not install .desktop file.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Aug 2014 14:49:52 -0400

reportbug (6.5.0+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2014-0479: Arbitrary code execution in compare_versions.
    A man-in-the-middle attacker could put shell metacharacters in the
    version number, causing execution of code of their choice.
    Thanks to Jakub Wilk <jwilk@debian.org>

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Aug 2014 16:03:15 +0200

## reportbug 6.5.1

=== debian/changelog ===
reportbug (6.5.1) unstable; urgency=medium

  * debian/rules
    - convert to dh sequencer
  * Switch to dh_python2
  * Bump compat to 9
  * man/reportbug.1
    - mark it explicitly that -N/--bugnumber must receive the bug number as an
      argument to the command; thanks to Ron Murray for the report;
      Closes: #741369
  * reportbug/{debbugs.py, utils.py}
    - check for valid (as per Policy) package name while handling WNPP; thanks
      to Paul Wise for the report; Closes: #748719
  * reportbug/ui/gtk2_ui.py
    - set monospace font when entering the bug body; thanks to Bob Bib for the
      report; Closes: #700032
  * Acknowledge NMU (thanks for that!); Closes: #757190
  * reportbug/ui/gtk2_ui.py
    - uninstall GTK+ readline hook, this prevent a crash in reportbug; thanks to
      Eric Valette for the report and to Simon McVittie for the GTK+-side
      analysis and patch; Closes: #758619

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Sep 2014 22:34:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7), python (>= 2.5)
-Build-Depends-Indep: python-support, python-nose, python-setuptools, python-mock
+Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
+Build-Depends-Indep: python-nose, python-setuptools, python-mock
 X-Python-Version: >= 2.6
 Vcs-Git: git://anonscm.debian.org/reportbug/reportbug.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=reportbug/reportbug.git
@@ -34,10 +33,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 6.5.1ubuntu1

=== debian/changelog ===
reportbug (6.5.1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/rules, debian/dirs: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Sep 2014 14:20:54 -0400

reportbug (6.5.0+nmu1ubuntu2) utopic; urgency=medium

  * Use 6.5.0 as version to match release regex that excludes +nmu.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Aug 2014 15:19:08 -0400

reportbug (6.5.0+nmu1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes (LP: #1353046):
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/rules, debian/dirs: Do not install .desktop file.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Aug 2014 14:49:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
@@ -33,6 +34,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 6.6.3

=== debian/changelog ===
reportbug (6.6.3) unstable; urgency=medium

  * reportbug/debbugs.py
    - when checking the version for a PU upload, pass a list of distributions;
      thanks to Ivo De Decker for spotting; Addresses: #774443

 -- Sandro Tosi <morph@debian.org>  Sun, 04 Jan 2015 10:41:18 +0000

reportbug (6.6.2) unstable; urgency=medium

  * reportbug/debbugs.py
    - introduce jessie-pu (removing now EOL squeeze-pu) tag for release.d.o;
      thanks to Matt Kraai for the report and patch; Closes: #773142

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Jan 2015 20:48:12 +0000

reportbug (6.6.1) unstable; urgency=medium

  * reportbug/utils.py
    - don't split multiarch information on multiple lines; thanks to James
      Cowgill for the report; Closes: #759690
  * reportbug/{bugreport.py, utils.py}
    - include init system information in bug reports; thanks to Yves-Alexis
      Perez for the report and debian-devel ml for suggestions and inputs;
      Closes #741930
  * reportbug/debbugs.py
    - add 'newcomer' tag

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Dec 2014 21:52:57 +0000

reportbug (6.6.0) unstable; urgency=medium

  * bin/reportbug, man/reportbug.1 share/reportbug.el
    - rename GNUS to Gnus; thanks to Tollef Fog Heen for the report and to Tomas
      Pospisek for the patch; Closes: #683325
  * reportbug/debbugs.py
    - fix vesion/version typo; thanks to Niels Thykier for the report and to
      Tomas Pospisek for the patch; Closes: #683277
    - use a future-proof URL for the rc_policy.txt document; thanks to Paul Wise
      for the report and patch; Closes: #673270
    - remove 'ROSRM' options from ftp.d.o removal requests; thanks to Scott
      Kitterman for the report and to Adam D. Barratt and Philipp Kern for
      ack'ing it (on IRC); Closes: #682105
  * man/reportbug.1
    - mention that deb-src lines has to be available in sources.list to populate
      apt cache with source packages too, needed for --src/--source option to
      work; thanks to Ian Bruce for the report; Closes: #684227
    - clarify that when using an external MUA, the attachment feature will not
      be able to send those files to the MUA, so they are actually discarded;
      thanks to Stefano Rivera for the report; Closes: #679907
  * reportbug/submit.py
    - properly handle ~/~user in --output cli option, expanding it to the user's
      homedir; thanks to Fritz Wuehler for the report; Closes: #680465
    - don't show the last menu (about how to provide additional info) if
      quitting or saving to file; thanks to Adrian Bunk for the report;
      Closes: #668838
  * reportbug/ui/gtk2_ui.py
    - hide 'Apply' button on the last screen of GTK+ UI; thanks to Samuel Hym
      for the report; Closes: #675735
    - remove indication that 'e' would edit the bug report in the last menu,
      it's text UI specific; thanks to David Smith for the report;
      Closes: #686168
  * bin/reportbug
    - suggests to contact debian-users@ in case of difficulties in identifying
      the package to associate the bug to; thanks to Jonathan Nieder for the
      report and patch; Closes: #661563
    - correctly identify source packages when presenting the packages menu,
      preventing from reporting bugs against unexisting source packages; thanks
      to Jakub Wilk and Andreas Beckmann for the report; Closes: #650386
  * reportbug/utils.py
    - identify also config files with spaces in the filename; thanks to Vincent
      Lefevre for the report; Closes: #669022
  * debian/control
    - update Suggests on emacs packages; thanks to Adrian Bunk for the report;
      Closes: #686165
    - bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Oct 2014 00:30:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
 Build-Depends-Indep: python-nose, python-setuptools, python-mock
 X-Python-Version: >= 2.6
@@ -15,7 +14,7 @@
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs22-bin-common | emacs23-bin-common, claws-mail (>= 3.8.0)
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
@@ -34,10 +33,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 6.6.3ubuntu1

=== debian/changelog ===
reportbug (6.6.3ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 09 Jan 2015 12:55:35 -0500

reportbug (6.6.2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 04 Jan 2015 02:19:37 -0500

reportbug (6.6.1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 04 Dec 2014 21:06:42 -0500

reportbug (6.6.0ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an
      an error and refer user "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/rules, debian/dirs: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 06 Nov 2014 00:38:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
@@ -33,6 +34,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 6.6.3+deb8u1

=== debian/changelog ===
reportbug (6.6.3+deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * Don't CC secure-testing-team@lists.alioth.debian.org anymore.
    The testing security team didn't exist for a long time and the
    mailinglist will disappear when Alioth will be decomissioned.
    Thanks to Moritz Muehlenhoff (Closes: #888832)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Mar 2018 14:22:15 +0100

## reportbug 6.6.3+deb8u2

=== debian/changelog ===
reportbug (6.6.3+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Backport the fix for Debian bug #878088. Notify the security team or LTS
    team about a possible regression if reporting a bug against a package
    containing a security fix.
  * python-reportbug: Depend on python-apt and python-request to fix #878088.

 -- Markus Koschany <apo@debian.org>  Thu, 20 Sep 2018 14:53:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
@@ -34,15 +33,11 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts
+Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts, python-apt, python-requests
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^+]*\).*/\1/')
DISTRO := $(shell dpkg-parsechangelog | egrep '^Distribution:' | sed 's/^Distribution: \([^+]*\).*/\1/')
REPORTBUG_VERSION := $(shell python -c "import reportbug; print reportbug.VERSION_NUMBER")

%:
	dh $@ --with=python2

override_dh_auto_build:
	# Test if versions are synchronized (only if releasing); this will bomb if not synced
	if [ "$(DISTRO)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(VERSION)" ] ; \
	then \
		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py'; exit 1 ; \
	fi

	python setup.py build

override_dh_auto_install:
	python setup.py install --root $(CURDIR)/debian/reportbug --install-layout=deb
	mv $(CURDIR)/debian/reportbug/usr/lib $(CURDIR)/debian/python-reportbug/usr
	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc

	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop

override_dh_installman:
	dh_installman man/*
